--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Resets challenge state. Do not send '*Authorization' header until the server sends '*Authentication' again.
full_name: HTTPClient::BasicAuth#reset_challenge
is_singleton: false
name: reset_challenge
params: ()
visibility: public
